Dashboard analytics
GET
/analytics/v1/dashboardReturns time-bucketed dashboard statistics
Authorization
Bearer Authorization<token>
In: header
Query Parameters
start_time*string
Start time (RFC3339)
end_time*string
End time (RFC3339)
interval*string
Bucket interval (1m, 1h, 1d)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.DashboardStatsResponse",
"$ref-value": {
"properties": {
"points": {
"items": {
"$ref": "#/components/schemas/analyticsv1.DashboardPoint",
"$ref-value": {
"properties": {
"timestamp": {
"type": "string"
},
"unique_users": {
"type": "integer"
},
"views": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/dashboard?start_time=string&end_time=string&interval=string"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.DashboardStatsResponse",
"$ref-value": {
"properties": {
"points": {
"items": {
"$ref": "#/components/schemas/analyticsv1.DashboardPoint",
"$ref-value": {
"properties": {
"timestamp": {
"type": "string"
},
"unique_users": {
"type": "integer"
},
"views": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}